=== debian/changelog ===
dtk6gui (6.0.18) unstable; urgency=medium

  * sync: from linuxdeepin/dtkgui

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:36:19 +0000

dtk6gui (6.0.17) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Jun 2024 05:35:04 +0000

dtk6gui (6.0.16) unstable; urgency=medium

  * 6.0.16

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 13:25:30 +0800

dtk6gui (6.0.15) unstable; urgency=medium

  * 6.0.15

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 29 Apr 2024 16:15:59 +0800

dtk6gui (6.0.14) unstable; urgency=medium

  * 6.0.14

 -- YeShanShan <yeshanshan@deepin.org>  Sun, 28 Apr 2024 13:25:59 +0800

dtk6gui (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 26 Apr 2024 15:15:38 +0800

dtk6gui (6.0.12) unstable; urgency=medium

  * 6.0.12

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 23 Apr 2024 11:35:30 +0800

dtk6gui (6.0.11) unstable; urgency=medium

  * 6.0.11

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Apr 2024 17:25:33 +0800

dtk6gui (6.0.10) unstable; urgency=medium

  * 6.0.10

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 11 Apr 2024 11:40:40 +0800

dtk6gui (6.0.9) unstable; urgency=medium

  * 6.0.9

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 29 Mar 2024 17:58:04 +0800

dtk6gui (6.0.5) unstable; urgency=medium

  * Release 6.0.5

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 01 Feb 2024 09:39:53 +0800

dtk6gui (6.0.4) unstable; urgency=medium

  * 6.0.4

 -- wangfei <wangfei@deepin.org>  Wed, 10 Jan 2024 14:59:23 +0800

dtk6gui (6.0.3) unstable; urgency=medium

  * 6.0.3

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jan 2024 16:19:19 +0800

dtk6gui (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- Yixue Wang <wangyixue@deepin.org>  Wed, 29 Nov 2023 15:30:28 +0800

dtk6gui (6.0.1) unstable; urgency=medium

  * Release 6.0.1

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 30 Oct 2023 10:17:10 +0800

dtk6gui (6.0.0) unstable; urgency=medium

  * release 6.0.0

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 18 Sep 2023 11:04:21 +0800

dtkgui (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:15:39 +0800

dtkgui (5.6.16) unstable; urgency=medium

  * chore: ut build without source
  * fix: Compiling error in qt6.4
  * chore: add DtkBuildHelper depends
  * fix(build): ut failed on Qt6.4
  * fix: dci icon cache key miss theme name(Issue: https://github.com/linuxdeepin/developer-center/issues/4517)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkgui (5.6.15) unstable; urgency=medium

  * chore: iconengine tweak and uint test
  * chore: do not show ui in ut
  * chore: add unit test
  * chore: Adaptation for Qt5.11
  * refator: rewrite hasUserManual function

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 13:57:02 +0800

dtkgui (5.6.14) unstable; urgency=medium

  * chore: ignore doxygen-theme folder
    Thanks to syn(Task: 99)
  * chore: change OUTPUT_DIR variable in cmake (#163)
    Thanks to WangFei
  * chore: adjust builtiniconengine (#164)
    Thanks to WangFei
  * chore: adjust xdgiconproxyengine (#167)
    Thanks to WangFei
  * chore: add unit test about builtinengine
  * refactor!: deprecate some interfaces in dtk6
  * chore: add dciiconengine
  * chore: adjust icontheme
  * chore: add unit test about dciiconengine
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: add proxyiconengine
  * refactor: Move dotsPerInch from normal function to slots
  * chore: remove unused pro files
  * fix: build failed in qt6 due to proxyengine
  * feat: DIconTheme::findQIcon add fallback icon
  * fix(build): DIconTheme ut failed
  * fix: DFileDragClient::serverDestroyed nerver emit
  * feat: add helper for high dpi pixmap
  * fix: dplatformtheme fetchPalette crash
  * feat: load app and qt Translation files

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:34 +0000

dtkgui (5.6.12) unstable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/2e5e092ba3f86b16d1aabbabcf0bfd2ae65b19c8(Influence: none)
  * fix: fix build failure due to metasystem change
  * fix(build): suport build with Qt6 && Qt5
  * chore: Adapt Qt6 && Dtk6 compilation
  * fix: ut failed
  * chore: update dconfig appid

 -- Deepin Packages Builder <packages@deepin.org>  Sun, 25 Jun 2023 14:43:42 +0800

dtkgui (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * Fix developer-center#4117
  * Fix bug-197713(App blocked by hasUserManual in live system)

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:16:17 +0800

dtkgui (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * support XDG_SESSION_DESKTOP set to DDE
  * add DontSaveApplciationTheme Attribute

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:11:55 +0800

dtkgui (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:13:06 +0800

dtkgui (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:12:16 +0800

dtkgui (5.6.6) unstable; urgency=medium

  * Release 5.6.6

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 21 Feb 2023 11:46:51 +0800

dtkgui (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 02 Feb 2023 14:12:15 +0800

dtkgui (5.6.4) unstable; urgency=medium

  * Release 5.6.4

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 09 Jan 2023 13:28:09 +0800

dtkgui (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 14:44:49 +0800

dtkgui (5.6.2.2) unstable; urgency=medium


