=== debian/control ===
Source: dtk6gui
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends: debhelper-compat (= 12), pkg-config,
 qt6-base-private-dev, qt6-base-dev-tools, qt6-tools-dev,
 libdtk6core-dev, libdtkcommon-dev(>=5.6.16),
 doxygen, graphviz, librsvg2-dev, libfreeimage-dev, libraw-dev,
 libgtest-dev, libgmock-dev, cmake
Standards-Version: 3.9.8

Package: libdtk6gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkdata,
 qt6-image-formats-plugins
Multi-Arch: same
Description: Deepin Tool Kit Gui library
 DtkGui is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtk6gui-bin
Build-Profiles: <!nobin>
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6gui (= ${binary:Version})
Description: Deepin Tool Kit Gui Utilities
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the utilities of DtkGui

Package: libdtk6gui-dev
Architecture: any
Depends: ${misc:Depends}, libdtk6gui (= ${binary:Version})
Description: Deepin Tool Kit Gui Devel library
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkGui

Package: libdtk6gui-doc
Architecture: any
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Deepin Tool Kit Gui (Document)
 DtkGui is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the qt Document of DtkGui
