=== debian/changelog ===
dtk6gui (6.0.21) unstable; urgency=medium

  * 6.0.21

 -- Wang Fei <wangfei@deepin.org>  Wed, 25 Sep 2024 15:08:23 +0800

dtk6gui (6.0.19) unstable; urgency=medium

  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 02:41:05 +0000
