=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  qt6-base-private-dev, qt6-base-dev-tools, qt6-tools-dev,
  libdtk6core-dev, libdtkcommon-dev(>=5.6.16),
  doxygen, graphviz, librsvg2-dev, libfreeimage-dev, libraw-dev,
- libgtest-dev, libgmock-dev, cmake
+ libgtest-dev, libgmock-dev, cmake, qt6-wayland-dev,
+ qt6-wayland-private-dev, qt6-wayland-dev-tools, treeland-protocols
 Standards-Version: 3.9.8
 
 Package: libdtk6gui
