=== debian/changelog ===
dtk6gui (6.0.36) unstable; urgency=medium

  * Release 6.0.36

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:23:31 +0800

dtk6gui (6.0.35) unstable; urgency=medium

  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui
  * sync: from linuxdeepin/dtkgui

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:18 +0800
