## dtk6gui 6.0.39

=== debian/changelog ===
dtk6gui (6.0.39) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:36 +0800
