=== examples/CMakeLists.txt ===
add_subdirectory(dnd-example)
#add_subdirectory(test-taskbar) # Don't build
#add_subdirectory(frameless-window) # Don't build
add_subdirectory(animation-dci)
