=== tools/CMakeLists.txt ===
add_subdirectory(deepin-gui-settings)
add_subdirectory(dci-image-converter)
add_subdirectory(dci-icon-theme)
add_subdirectory(dde-kwin-debug)
add_subdirectory(image-handler)
add_subdirectory(dci-iconfinder)
