=== debian/changelog ===
dtk6gui (6.0.44.1) unstable; urgency=medium

  * Release 6.0.44

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:46:18 +0800
