=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,4 @@
 	dh_auto_configure -- -DBUILD_TESTING=OFF -DBUILD_DOCS=ON -DDTK_VERSION=$(_PACK_VER)
 
 override_dh_makeshlibs:
-	dh_makeshlibs  -V "libdtk6gui (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2))"
+	dh_makeshlibs  -V "libdtk6gui (>= $(shell echo $(VERSION) | cut -d '.' -f 1,2,3))"
